Index: trunk/lib/FlairCore/src/OneAxisRotation.h
===================================================================
--- trunk/lib/FlairCore/src/OneAxisRotation.h	(revision 14)
+++ trunk/lib/FlairCore/src/OneAxisRotation.h	(revision 15)
@@ -18,77 +18,71 @@
 class OneAxisRotation_impl;
 
-
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+namespace flair {
+namespace gui {
+class LayoutPosition;
 }
 
-namespace core
-{
-    class Vector3D;
-    class Euler;
-    class Quaternion;
-    class RotationMatrix;
+namespace core {
+class Vector3D;
+class Euler;
+class Quaternion;
+class RotationMatrix;
 
-    /*! \class OneAxisRotation
-    *
-    * \brief Class defining a rotation around one axis
-    *
-    * Axe and value of the rotation are placed in a GroupBox on ground station.
-    *
-    */
-    class OneAxisRotation: public gui::GroupBox
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a OneAxisRotation at given position.
-            *
-            * \param position position to place the GroupBox
-            * \param name name
-            */
-            OneAxisRotation(const gui::LayoutPosition* position,std::string namel);
+/*! \class OneAxisRotation
+*
+* \brief Class defining a rotation around one axis
+*
+* Axe and value of the rotation are placed in a GroupBox on ground station.
+*
+*/
+class OneAxisRotation : public gui::GroupBox {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a OneAxisRotation at given position.
+  *
+  * \param position position to place the GroupBox
+  * \param name name
+  */
+  OneAxisRotation(const gui::LayoutPosition *position, std::string namel);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~OneAxisRotation();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~OneAxisRotation();
 
-            /*!
-            * \brief Compute rotation
-            *
-            * \param vector Vector3D to rotate
-            */
-            void ComputeRotation(core::Vector3D& vector) const;
+  /*!
+  * \brief Compute rotation
+  *
+  * \param vector Vector3D to rotate
+  */
+  void ComputeRotation(core::Vector3D &vector) const;
 
-            /*!
-            * \brief Compute rotation
-            *
-            * \param euler Euler angle to rotate
-            */
-            void ComputeRotation(core::Euler& euler) const;
+  /*!
+  * \brief Compute rotation
+  *
+  * \param euler Euler angle to rotate
+  */
+  void ComputeRotation(core::Euler &euler) const;
 
-            /*!
-            * \brief Compute rotation
-            *
-            * \param quaternion Quaternion to rotate
-            */
-            void ComputeRotation(core::Quaternion& quaternion) const;
+  /*!
+  * \brief Compute rotation
+  *
+  * \param quaternion Quaternion to rotate
+  */
+  void ComputeRotation(core::Quaternion &quaternion) const;
 
-            /*!
-            * \brief Compute rotation
-            *
-            * \param matrix RotationMatrix to rotate
-            */
-            void ComputeRotation(core::RotationMatrix& matrix) const;
+  /*!
+  * \brief Compute rotation
+  *
+  * \param matrix RotationMatrix to rotate
+  */
+  void ComputeRotation(core::RotationMatrix &matrix) const;
 
-        private:
-            const class OneAxisRotation_impl* pimpl_;
-
-    };
+private:
+  const class OneAxisRotation_impl *pimpl_;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/OneAxisRotation_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/OneAxisRotation_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/OneAxisRotation_impl.cpp	(revision 15)
@@ -28,55 +28,48 @@
 using namespace flair::gui;
 
-OneAxisRotation_impl::OneAxisRotation_impl(GroupBox* box)
-{
-    rot_value=new DoubleSpinBox(box->NewRow(),"value"," deg",-180.,180.,10.,1);
-    rot_axe=new ComboBox(box->LastRowLastCol(),"axis");
-    rot_axe->AddItem("x");
-    rot_axe->AddItem("y");
-    rot_axe->AddItem("z");
+OneAxisRotation_impl::OneAxisRotation_impl(GroupBox *box) {
+  rot_value =
+      new DoubleSpinBox(box->NewRow(), "value", " deg", -180., 180., 10., 1);
+  rot_axe = new ComboBox(box->LastRowLastCol(), "axis");
+  rot_axe->AddItem("x");
+  rot_axe->AddItem("y");
+  rot_axe->AddItem("z");
 }
 
-OneAxisRotation_impl::~OneAxisRotation_impl()
-{
+OneAxisRotation_impl::~OneAxisRotation_impl() {}
 
+// compute rotation of each axis through ComputeRotation(Vector3D& vector)
+void OneAxisRotation_impl::ComputeRotation(Quaternion &quat) const {
+  Vector3D rot = Vector3D(quat.q1, quat.q2, quat.q3);
+  ComputeRotation(rot);
+  quat.q1 = rot.x;
+  quat.q2 = rot.y;
+  quat.q3 = rot.z;
 }
 
-//compute rotation of each axis through ComputeRotation(Vector3D& vector)
-void OneAxisRotation_impl::ComputeRotation(Quaternion& quat) const {
-    Vector3D rot=Vector3D(quat.q1,quat.q2,quat.q3);
-    ComputeRotation(rot);
-    quat.q1=rot.x;
-    quat.q2=rot.y;
-    quat.q3=rot.z;
+void OneAxisRotation_impl::ComputeRotation(RotationMatrix &matrix) const {
+  printf("not yet implemented\n");
 }
 
-void OneAxisRotation_impl::ComputeRotation(RotationMatrix& matrix) const {
-printf("not yet implemented\n");
+// on utilise la rotation d'un vector pour faire une rotation de repere
+// d'ou le signe negatif
+void OneAxisRotation_impl::ComputeRotation(Vector3D &vector) const {
+  switch (rot_axe->CurrentIndex()) {
+  case 0:
+    vector.RotateXDeg(-rot_value->Value());
+    break;
+  case 1:
+    vector.RotateYDeg(-rot_value->Value());
+    break;
+  case 2:
+    vector.RotateZDeg(-rot_value->Value());
+    break;
+  }
 }
 
-//on utilise la rotation d'un vector pour faire une rotation de repere
-//d'ou le signe negatif
-void OneAxisRotation_impl::ComputeRotation(Vector3D& vector) const
-{
-    switch(rot_axe->CurrentIndex())
-    {
-        case 0:
-            vector.RotateXDeg(-rot_value->Value());
-            break;
-        case 1:
-            vector.RotateYDeg(-rot_value->Value());
-            break;
-        case 2:
-            vector.RotateZDeg(-rot_value->Value());
-            break;
-    }
+void OneAxisRotation_impl::ComputeRotation(Euler &euler) const {
+  Quaternion quat;
+  euler.ToQuaternion(quat);
+  ComputeRotation(quat);
+  quat.ToEuler(euler);
 }
-
-void OneAxisRotation_impl::ComputeRotation(Euler& euler) const
-{
-    Quaternion quat;
-    euler.ToQuaternion(quat);
-    ComputeRotation(quat);
-    quat.ToEuler(euler);
-}
-
Index: trunk/lib/FlairCore/src/Picture.cpp
===================================================================
--- trunk/lib/FlairCore/src/Picture.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Picture.cpp	(revision 15)
@@ -24,37 +24,30 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
 using namespace core;
 
-Picture::Picture(const LayoutPosition* position,string name,const cvimage *image):SendData(position,name,"Picture",200)
-{
-    this->image=image;
+Picture::Picture(const LayoutPosition *position, string name,
+                 const cvimage *image)
+    : SendData(position, name, "Picture", 200) {
+  this->image = image;
 
-    SetSendSize(image->GetDataType().GetSize());
+  SetSendSize(image->GetDataType().GetSize());
 
-    SetVolatileXmlProp("width",image->GetDataType().GetWidth());
-    SetVolatileXmlProp("height",image->GetDataType().GetHeight());
-    SendXml();
+  SetVolatileXmlProp("width", image->GetDataType().GetWidth());
+  SetVolatileXmlProp("height", image->GetDataType().GetHeight());
+  SendXml();
 }
 
-Picture::~Picture()
-{
+Picture::~Picture() {}
+
+void Picture::CopyDatas(char *buf) const {
+  if (image != NULL) {
+    image->GetMutex();
+    memcpy(buf, image->img->imageData, image->GetDataType().GetSize());
+    image->ReleaseMutex();
+  }
 }
-
-
-void Picture::CopyDatas(char* buf) const
-{
-    if(image!=NULL)
-    {
-        image->GetMutex();
-        memcpy(buf,image->img->imageData,image->GetDataType().GetSize());
-        image->ReleaseMutex();
-    }
-}
-
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/Picture.h
===================================================================
--- trunk/lib/FlairCore/src/Picture.h	(revision 14)
+++ trunk/lib/FlairCore/src/Picture.h	(revision 15)
@@ -17,62 +17,60 @@
 #include <cxtypes.h>
 
-namespace flair
-{
-namespace core
-{
-    class cvimage;
+namespace flair {
+namespace core {
+class cvimage;
 }
 
-namespace gui
-{
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class Picture
-    *
-    * \brief Class displaying a Picture on the ground station
-    *
-    */
-    class Picture:public SendData
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a picture at given position. \n
-            * The Picture will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param position position to draw plot
-            * \param name name
-            * \param image image to draw
-            */
-            Picture(const LayoutPosition* position,std::string name,const core::cvimage *image);
+/*! \class Picture
+*
+* \brief Class displaying a Picture on the ground station
+*
+*/
+class Picture : public SendData {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a picture at given position. \n
+  * The Picture will automatically be child of position->getLayout() Layout.
+  *After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param position position to draw plot
+  * \param name name
+  * \param image image to draw
+  */
+  Picture(const LayoutPosition *position, std::string name,
+          const core::cvimage *image);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Picture();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Picture();
 
-        private:
-            /*!
-            * \brief Copy datas to specified buffer
-            *
-            * Reimplemented from SendData.
-            *
-            * \param buf output buffer
-            */
-            void CopyDatas(char* buf) const;
+private:
+  /*!
+  * \brief Copy datas to specified buffer
+  *
+  * Reimplemented from SendData.
+  *
+  * \param buf output buffer
+  */
+  void CopyDatas(char *buf) const;
 
-            /*!
-            * \brief Extra Xml event
-            *
-            * Reimplemented from SendData.
-            */
-            void ExtraXmlEvent(void){};
+  /*!
+  * \brief Extra Xml event
+  *
+  * Reimplemented from SendData.
+  */
+  void ExtraXmlEvent(void){};
 
-            const core::cvimage *image;
-    };
+  const core::cvimage *image;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/PushButton.cpp
===================================================================
--- trunk/lib/FlairCore/src/PushButton.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/PushButton.cpp	(revision 15)
@@ -22,44 +22,35 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-PushButton::PushButton(const LayoutPosition* position,string name): Widget(position->getLayout(),name,"PushButton")
-{
-    SetVolatileXmlProp("row",position->Row());
-    SetVolatileXmlProp("col",position->Col());
-    delete position;
+PushButton::PushButton(const LayoutPosition *position, string name)
+    : Widget(position->getLayout(), name, "PushButton") {
+  SetVolatileXmlProp("row", position->Row());
+  SetVolatileXmlProp("col", position->Col());
+  delete position;
 
-    SendXml();
+  SendXml();
 
-    clicked=false;
+  clicked = false;
 }
 
-PushButton::~PushButton()
-{
+PushButton::~PushButton() {}
 
+void PushButton::XmlEvent(void) {
+  int clic = 0;
+  GetPersistentXmlProp("value", clic);
+
+  if (clic == 1)
+    clicked = true;
 }
 
-void PushButton::XmlEvent(void)
-{
-    int clic=0;
-    GetPersistentXmlProp("value",clic);
-
-    if(clic==1) clicked=true;
-}
-
-bool PushButton::Clicked(void)
-{
-    if(clicked==true)
-    {
-       clicked=false;
-       return true;
-    }
-    else
-    {
-        return false;
-    }
+bool PushButton::Clicked(void) {
+  if (clicked == true) {
+    clicked = false;
+    return true;
+  } else {
+    return false;
+  }
 }
 
Index: trunk/lib/FlairCore/src/PushButton.h
===================================================================
--- trunk/lib/FlairCore/src/PushButton.h	(revision 14)
+++ trunk/lib/FlairCore/src/PushButton.h	(revision 15)
@@ -16,59 +16,57 @@
 #include <Widget.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class PushButton
-    *
-    * \brief Class displaying a QPushButton on the ground station
-    *
-    */
-    class PushButton:public Widget
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QPushButton at given position. \n
-            * The PushButton will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            PushButton(const LayoutPosition* position,std::string name);
+/*! \class PushButton
+*
+* \brief Class displaying a QPushButton on the ground station
+*
+*/
+class PushButton : public Widget {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QPushButton at given position. \n
+  * The PushButton will automatically be child of position->getLayout() Layout.
+  *After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  PushButton(const LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~PushButton();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~PushButton();
 
-            /*!
-            * \brief Has been clicled?
-            *
-            * After calling this method, the internal flag
-            * representing the state of the button is
-            * automatically set to false.
-            *
-            * \return true if button was clicked
-            */
-            bool Clicked(void);
+  /*!
+  * \brief Has been clicled?
+  *
+  * After calling this method, the internal flag
+  * representing the state of the button is
+  * automatically set to false.
+  *
+  * \return true if button was clicked
+  */
+  bool Clicked(void);
 
-        private:
-            /*!
-            * \brief XmlEvent from ground station
-            *
-            * Reimplemented from Widget.
-            *
-            */
-            void XmlEvent(void);
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget.
+  *
+  */
+  void XmlEvent(void);
 
-            bool clicked;
-    };
+  bool clicked;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/Quaternion.cpp
===================================================================
--- trunk/lib/FlairCore/src/Quaternion.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Quaternion.cpp	(revision 15)
@@ -26,161 +26,158 @@
 namespace core {
 
-Quaternion::Quaternion(float inQ0,float inQ1,float inQ2,float inQ3):q0(inQ0),q1(inQ1),q2(inQ2),q3(inQ3) {
-}
+Quaternion::Quaternion(float inQ0, float inQ1, float inQ2, float inQ3)
+    : q0(inQ0), q1(inQ1), q2(inQ2), q3(inQ3) {}
 
-Quaternion::~Quaternion() {
-}
+Quaternion::~Quaternion() {}
 
-Quaternion& Quaternion::operator=(const Quaternion &quaternion) {
-    q0=quaternion.q0;
-    q1=quaternion.q1;
-    q2=quaternion.q2;
-    q3=quaternion.q3;
-    return (*this);
+Quaternion &Quaternion::operator=(const Quaternion &quaternion) {
+  q0 = quaternion.q0;
+  q1 = quaternion.q1;
+  q2 = quaternion.q2;
+  q3 = quaternion.q3;
+  return (*this);
 }
 
 float Quaternion::GetNorm(void) const {
-    return sqrt(q0*q0+q1*q1+q2*q2+q3*q3);
+  return sqrt(q0 * q0 + q1 * q1 + q2 * q2 + q3 * q3);
 }
 
 void Quaternion::Normalize(void) {
-    float n=GetNorm();
-    if(n!=0) {
-        q0=q0/n;
-        q1=q1/n;
-        q2=q2/n;
-        q3=q3/n;
-    }
+  float n = GetNorm();
+  if (n != 0) {
+    q0 = q0 / n;
+    q1 = q1 / n;
+    q2 = q2 / n;
+    q3 = q3 / n;
+  }
 }
 
 void Quaternion::Conjugate(void) {
-    q1=-q1;
-    q2=-q2;
-    q3=-q3;
+  q1 = -q1;
+  q2 = -q2;
+  q3 = -q3;
 }
 
 Quaternion Quaternion::GetConjugate(void) {
-    return Quaternion(q0,-q1,-q2,-q3);
+  return Quaternion(q0, -q1, -q2, -q3);
 }
 
 void Quaternion::GetLogarithm(Vector3D &logarithm) {
-    Normalize();
-    float v_norm=sqrtf(q1*q1+q2*q2+q3*q3);
+  Normalize();
+  float v_norm = sqrtf(q1 * q1 + q2 * q2 + q3 * q3);
 
-    if(v_norm!=0) {
-        float v_arccos = acosf(q0);
-        logarithm.x=(q1*v_arccos)/v_norm;
-        logarithm.y=(q2*v_arccos)/v_norm;
-        logarithm.z=(q3*v_arccos)/v_norm;
-    } else {
-        logarithm.x=0;
-        logarithm.y=0;
-        logarithm.z=0;
-    }
+  if (v_norm != 0) {
+    float v_arccos = acosf(q0);
+    logarithm.x = (q1 * v_arccos) / v_norm;
+    logarithm.y = (q2 * v_arccos) / v_norm;
+    logarithm.z = (q3 * v_arccos) / v_norm;
+  } else {
+    logarithm.x = 0;
+    logarithm.y = 0;
+    logarithm.z = 0;
+  }
 }
 
 Vector3D Quaternion::GetLogarithm(void) {
-    Vector3D vector;
-    GetLogarithm(vector);
-    return vector;
+  Vector3D vector;
+  GetLogarithm(vector);
+  return vector;
 }
 
 Quaternion Quaternion::GetDerivative(const Vector3D &angularSpeed) const {
-    const Quaternion Qw(0,angularSpeed.x,angularSpeed.y,angularSpeed.z);
-    return 0.5*(*this)*Qw;
+  const Quaternion Qw(0, angularSpeed.x, angularSpeed.y, angularSpeed.z);
+  return 0.5 * (*this) * Qw;
 }
 
 void Quaternion::Derivate(const Vector3D &angularSpeed) {
-    Quaternion Q=GetDerivative(angularSpeed);
-    (*this)=Q;
+  Quaternion Q = GetDerivative(angularSpeed);
+  (*this) = Q;
 }
 
 void Quaternion::ToEuler(Euler &euler) const {
-    euler.roll=atan2(2*(q0*q1+q2*q3), 1-2*(q1*q1+q2*q2));
-    euler.pitch=asin(2*(q0*q2-q1*q3));
-    euler.yaw = atan2(2*(q0*q3+q1*q2), 1-2*(q2*q2+q3*q3));
+  euler.roll = atan2(2 * (q0 * q1 + q2 * q3), 1 - 2 * (q1 * q1 + q2 * q2));
+  euler.pitch = asin(2 * (q0 * q2 - q1 * q3));
+  euler.yaw = atan2(2 * (q0 * q3 + q1 * q2), 1 - 2 * (q2 * q2 + q3 * q3));
 }
 
 Euler Quaternion::ToEuler(void) const {
-    Euler euler;
-    ToEuler(euler);
-    return euler;
+  Euler euler;
+  ToEuler(euler);
+  return euler;
 }
 
 void Quaternion::ToRotationMatrix(RotationMatrix &matrix) const {
-    float aSq = q0 * q0;
-    float bSq = q1 * q1;
-    float cSq = q2 * q2;
-    float dSq = q3 * q3;
-    matrix.m[0][0] = aSq + bSq - cSq - dSq;
-    matrix.m[0][1] = 2.0f * (q1 * q2 - q0 * q3);
-    matrix.m[0][2] = 2.0f * (q0 * q2 + q1 * q3);
-    matrix.m[1][0] = 2.0f * (q1 * q2 + q0 * q3);
-    matrix.m[1][1] = aSq - bSq + cSq - dSq;
-    matrix.m[1][2] = 2.0f * (q2 * q3 - q0 * q1);
-    matrix.m[2][0] = 2.0f * (q1 * q3 - q0 * q2);
-    matrix.m[2][1] = 2.0f * (q0 * q1 + q2 * q3);
-    matrix.m[2][2] = aSq - bSq - cSq + dSq;
+  float aSq = q0 * q0;
+  float bSq = q1 * q1;
+  float cSq = q2 * q2;
+  float dSq = q3 * q3;
+  matrix.m[0][0] = aSq + bSq - cSq - dSq;
+  matrix.m[0][1] = 2.0f * (q1 * q2 - q0 * q3);
+  matrix.m[0][2] = 2.0f * (q0 * q2 + q1 * q3);
+  matrix.m[1][0] = 2.0f * (q1 * q2 + q0 * q3);
+  matrix.m[1][1] = aSq - bSq + cSq - dSq;
+  matrix.m[1][2] = 2.0f * (q2 * q3 - q0 * q1);
+  matrix.m[2][0] = 2.0f * (q1 * q3 - q0 * q2);
+  matrix.m[2][1] = 2.0f * (q0 * q1 + q2 * q3);
+  matrix.m[2][2] = aSq - bSq - cSq + dSq;
 }
 
 Quaternion &Quaternion::operator+=(const Quaternion &quaternion) {
-    q0+=quaternion.q0;
-    q1+=quaternion.q1;
-    q2+=quaternion.q2;
-    q3+=quaternion.q3;
-    return (*this);
+  q0 += quaternion.q0;
+  q1 += quaternion.q1;
+  q2 += quaternion.q2;
+  q3 += quaternion.q3;
+  return (*this);
 }
 
 Quaternion &Quaternion::operator-=(const Quaternion &quaternion) {
-    q0-=quaternion.q0;
-    q1-=quaternion.q1;
-    q2-=quaternion.q2;
-    q3-=quaternion.q3;
-    return (*this);
+  q0 -= quaternion.q0;
+  q1 -= quaternion.q1;
+  q2 -= quaternion.q2;
+  q3 -= quaternion.q3;
+  return (*this);
 }
 
-Quaternion operator + (const Quaternion &quaternionA,const Quaternion &quaterniontB) {
-    return Quaternion(
-               quaternionA.q0 + quaterniontB.q0,
-               quaternionA.q1 + quaterniontB.q1,
-               quaternionA.q2 + quaterniontB.q2,
-               quaternionA.q3 + quaterniontB.q3);
+Quaternion operator+(const Quaternion &quaternionA,
+                     const Quaternion &quaterniontB) {
+  return Quaternion(
+      quaternionA.q0 + quaterniontB.q0, quaternionA.q1 + quaterniontB.q1,
+      quaternionA.q2 + quaterniontB.q2, quaternionA.q3 + quaterniontB.q3);
 }
 
-Quaternion operator- (const Quaternion &quaterniontA,const Quaternion &quaterniontB) {
-   return Quaternion(
-               quaterniontA.q0 - quaterniontB.q0,
-               quaterniontA.q1 - quaterniontB.q1,
-               quaterniontA.q2 - quaterniontB.q2,
-               quaterniontA.q3 - quaterniontB.q3);
+Quaternion operator-(const Quaternion &quaterniontA,
+                     const Quaternion &quaterniontB) {
+  return Quaternion(
+      quaterniontA.q0 - quaterniontB.q0, quaterniontA.q1 - quaterniontB.q1,
+      quaterniontA.q2 - quaterniontB.q2, quaterniontA.q3 - quaterniontB.q3);
 }
 
 Quaternion operator-(const Quaternion &quaternion) {
-    return Quaternion(-quaternion.q0,-quaternion.q1,-quaternion.q2,-quaternion.q3);
+  return Quaternion(-quaternion.q0, -quaternion.q1, -quaternion.q2,
+                    -quaternion.q3);
 }
 
-Quaternion operator * (const Quaternion &quaterniontA,const Quaternion &quaterniontB) {
-    return Quaternion(
-               quaterniontA.q0 * quaterniontB.q0 - quaterniontA.q1 * quaterniontB.q1 - quaterniontA.q2 * quaterniontB.q2 - quaterniontA.q3 * quaterniontB.q3,
-               quaterniontA.q0 * quaterniontB.q1 + quaterniontA.q1 * quaterniontB.q0 + quaterniontA.q2 * quaterniontB.q3 - quaterniontA.q3 * quaterniontB.q2,
-               quaterniontA.q0 * quaterniontB.q2 - quaterniontA.q1 * quaterniontB.q3 + quaterniontA.q2 * quaterniontB.q0 + quaterniontA.q3 * quaterniontB.q1,
-               quaterniontA.q0 * quaterniontB.q3 + quaterniontA.q1 * quaterniontB.q2 - quaterniontA.q2 * quaterniontB.q1 + quaterniontA.q3 * quaterniontB.q0);
+Quaternion operator*(const Quaternion &quaterniontA,
+                     const Quaternion &quaterniontB) {
+  return Quaternion(
+      quaterniontA.q0 * quaterniontB.q0 - quaterniontA.q1 * quaterniontB.q1 -
+          quaterniontA.q2 * quaterniontB.q2 - quaterniontA.q3 * quaterniontB.q3,
+      quaterniontA.q0 * quaterniontB.q1 + quaterniontA.q1 * quaterniontB.q0 +
+          quaterniontA.q2 * quaterniontB.q3 - quaterniontA.q3 * quaterniontB.q2,
+      quaterniontA.q0 * quaterniontB.q2 - quaterniontA.q1 * quaterniontB.q3 +
+          quaterniontA.q2 * quaterniontB.q0 + quaterniontA.q3 * quaterniontB.q1,
+      quaterniontA.q0 * quaterniontB.q3 + quaterniontA.q1 * quaterniontB.q2 -
+          quaterniontA.q2 * quaterniontB.q1 +
+          quaterniontA.q3 * quaterniontB.q0);
 }
 
-Quaternion operator * (float coeff,const Quaternion &quaternion) {
-    return Quaternion(
-               coeff*quaternion.q0,
-               coeff*quaternion.q1,
-               coeff*quaternion.q2,
-               coeff*quaternion.q3);
+Quaternion operator*(float coeff, const Quaternion &quaternion) {
+  return Quaternion(coeff * quaternion.q0, coeff * quaternion.q1,
+                    coeff * quaternion.q2, coeff * quaternion.q3);
 }
 
-
-Quaternion operator * (const Quaternion &quaternion,float coeff) {
-    return Quaternion(
-               coeff*quaternion.q0,
-               coeff*quaternion.q1,
-               coeff*quaternion.q2,
-               coeff*quaternion.q3);
+Quaternion operator*(const Quaternion &quaternion, float coeff) {
+  return Quaternion(coeff * quaternion.q0, coeff * quaternion.q1,
+                    coeff * quaternion.q2, coeff * quaternion.q3);
 }
 
